unit About;

interface

uses WinTypes, WinProcs, Messages, SysUtils, Classes, Controls, Forms, Menus,
  Graphics,  DsgnIntf, StdCtrls, ExtCtrls, ComCtrls;

type
  TFAbout = class(TForm)
    Label19: TLabel;
    Label20: TLabel;
    Label21: TLabel;
    Button1: TButton;
    Panel11: TPanel;
    Panel12: TPanel;
    pmemload: TProgressBar;
    Panel3: TPanel;
    Panel4: TPanel;
    pdiskload: TProgressBar;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  TAboutBox = class(TComponent)
  private
    FProductName             : String[100];
    FVersion                 : String[100];
    FCopyright               : String[100];
    function  GetProductName : String;
    function  GetVersion     : String;
    function  GetCopyright   : String;
    procedure SetProductName (const AStr: String);
    procedure SetVersion     (const AStr: String);
    procedure SetCopyright   (const AStr: String);
  public
    constructor Create(AOwner: TComponent); override;
    function Execute: Boolean; virtual;
  published
    property ProductName : String read GetProductName write SetProductName;
    property Version     : String read GetVersion     write SetVersion;
    property Copyright   : String read GetCopyright   write SetCopyright;
  end;

procedure Register;

implementation

{$R *.DFM}

uses Consts;

{------------- TAboutBox begin ------------------------------------------------------}

constructor TAboutBox.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
  FCopyright := '1996 by The Software Factory';
end;

function TAboutBox.Execute: Boolean;
var  FAbout: TFAbout;
begin

  try
    FAbout:=  TFAbout.Create(Application);
  except
    on E: Exception do begin
      MessageBeep(0);
      Exit;
    end;
  end;

  FAbout.Label19.Caption:= FProductName;
  FAbout.Label20.Caption:= FVersion;
  FAbout.Label21.Caption:= FCopyright;

  with FAbout do begin
    try     ShowModal;
    Finally Free;
    end;
  end;

end;

function TAboutBox.GetProductName: String;
begin
  Result := FProductName;
end;

function TAboutBox.GetVersion: String;
begin
  Result := FVersion;
end;

function TAboutBox.GetCopyright: String;
begin
  Result := FCopyright;
  {Result:='1996 by The Software Factory';}
end;

procedure TAboutBox.SetProductName(const AStr: String);
begin
  FProductName:= AStr;
end;

procedure TAboutBox.SetVersion(const AStr: String);
begin
  FVersion:= AStr;
end;

procedure TAboutBox.SetCopyright(const AStr: String);
begin
  FCopyright:= AStr;
end;

{------------- TAboutBox end   ------------------------------------------------------}

procedure Register;
begin
  RegisterComponents('TSF', [TAboutBox]);
end;

procedure TFAbout.FormCreate(Sender: TObject);
type
  FlagSet = set of 120..135;
var
  Flgs : FlagSet;
  l    : LongInt;
  s    : String;
  Win  : Word;
  DOS  : Word;


  MyMemoryStatus:TmemoryStatus;
begin
  GlobalMemoryStatus(mymemorystatus);
  pmemload.position:= mymemorystatus.dwMemoryLoad ;
  pdiskload.position:= 100-((DiskFree(0) div (DiskSize(0) div 100)));


end;

procedure TFAbout.Button1Click(Sender: TObject);
begin
  Close;
end;

end.
 